> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get receivers for a PO

GET https://dream.rushorder.com/api/receiver/{poRef}

Retrieve a list of receiver shipment quality, time, and identification data, along with item skus, descriptions, and quantities. Can toggle whether to query by exact PO reference or substring.

Reference: https://docs.rushorder.com/api-reference/receivers/get-by-po

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `poRef` (string, required) — The PO reference number of the received shipment.

### Query parameters

- `contains` (boolean, optional) — If false (by default), returns receivers whose PO number exactly matches poRef. If true, returns all receivers whose PO number contains poRef.

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `Client` (string, optional)
- `Number` (integer, optional)
- `RecDate` (datetime, optional)
- `RecBy` (string, optional)
- `Location` (string, optional)
- `Po` (string, optional)
- `Comment` (string, optional)
- `ScDeliveryApt` (boolean, optional)
- `ScPl` (boolean, optional)
- `ScPlqty` (boolean, optional)
- `ScCartonMark` (boolean, optional)
- `ScBoxCondition` (boolean, optional)
- `ScPalletCondition` (boolean, optional)
- `UnitType` (string, optional)
- `Shipper` (string, optional)
- `Carrier` (string, optional)
- `Pack` (string, optional)
- `Lading` (string, optional)
- `Project` (string, optional)
- `StockTime` (float, optional)
- `LabelTime` (float, optional)
- `ShelfTime` (float, optional)
- `Palletcount` (integer, optional)
- `Played` (boolean, optional)
- `Items` (list of Receiver200_Items, optional)

## Errors

### 401 Unauthorized Error

Access token is missing or invalid

- `any`

### 404 Not Found Error

The requested item was not found

- `any`

## Types

### Receiver200_Items

- `Item` (string, optional)
- `Notes` (string, optional)
- `Descript` (string, optional)
- `LineId` (string, optional)
- `PlQty` (double, optional)
- `RecQty` (double, optional)
- `RecCrtncount` (double, optional)
- `RecCaseqty` (double, optional)
- `RecPartial` (double, optional)

## Examples

**Response**

```json
{
  "Client": "ABC",
  "Number": 12345,
  "RecDate": "2022-01-01T12:00:00.00",
  "RecBy": "J. Smith",
  "Location": "ENGLE-A",
  "Po": "MYPO7656",
  "Comment": "Extra items not accounted for. Please look into.",
  "ScDeliveryApt": true,
  "ScPl": true,
  "ScPlqty": true,
  "ScCartonMark": true,
  "ScBoxCondition": true,
  "ScPalletCondition": true,
  "UnitType": "pallet",
  "Shipper": "Acme Products, Inc.",
  "Carrier": "FEDEX",
  "Pack": "AB12-123",
  "Lading": "77719876540",
  "Project": "Inbound Delivery - PO",
  "StockTime": 8.67,
  "LabelTime": 0.05,
  "ShelfTime": 21.03,
  "Palletcount": 14,
  "Played": true,
  "Items": [
    {
      "Item": "1025A0DF",
      "Notes": "",
      "Descript": "Model Airplane Kit (Red)",
      "LineId": "1",
      "PlQty": 0,
      "RecQty": 1570,
      "RecCrtncount": 1,
      "RecCaseqty": 1500,
      "RecPartial": 70
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/receiver/MYPO7656"

querystring = {"contains":"true"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/receiver/MYPO7656?contains=true';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/receiver/MYPO7656?contains=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/receiver/MYPO7656?contains=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/receiver/MYPO7656?contains=true")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/receiver/MYPO7656?contains=true', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/receiver/MYPO7656?contains=true");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/receiver/MYPO7656?contains=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```